module Vulgata::ControllerConfigurable
  extend ActiveSupport::Concern

  included do
    helper_method :vulgata_current_user
  end

  def vulgata_current_user
    current_user
  end

  def vulgata_users
    # users that will appear in the "team" page
    # i.e User.where(role: 'translator')
    raise NotImplementedError
  end

  def suggest_translation text, from, to
    # i.e
    # suggestion = TranslationApi.translate(text, from, to)
    # render json: { suggestion: suggestion }, status: :ok
    raise NotImplementedError
  end

end
