module Vulgata
  class TranslationStateVersion < ActiveRecord::Base
    include Vulgata::StatusTypes

    belongs_to :translation_state, class_name: "Vulgata::TranslationState", foreign_key: :vulgata_translation_state_id
    belongs_to :user, polymorphic: true
    serialize :translation_data

    def status
      s = super
      s = s.to_sym unless s.nil?
    end

    def translation_data
      td = super
      td = td.with_indifferent_access unless td.nil?
    end

    def translation_data=(value)
      td = value.nil? ? value : value.to_hash
      super td
    end
  end
end
