Vulgata::Engine.routes.draw do
  get 'activity/index'

  get 'team/', to: 'team#index'
  get 'team/:user_type/:user_id', to: 'team#show', as: 'vulgata_user'
  patch 'team/:user_type/:user_id', to: 'team#update'

  get 'admin/dashboard', to: 'admin#index'
  get 'admin/:resource', to: 'translations#index', as: 'admin_resource'
  get 'admin/:resource/:id', to: 'translations#show', as: 'admin_translations'

  get '/get_suggested_translation', to: 'translations#get_suggested_translation', as: 'get_suggested_translation'

  resources :translation_states do
    resource :translations, only: [:create, :update, :edit]
  end

  get 'translate', to: 'translations#new'
  get 'proofread', to: 'translation_states#proofread'

  # translating new item from the queue
  resource :translations, only: [:new]

  root to: "application#root_redirect"
end
