class Vulgata::InstallGenerator < Rails::Generators::Base
  include Rails::Generators::Migration
  source_root File.expand_path('../templates', __FILE__)
  require 'rails/generators/migration'

  def create_initializer_file
    template 'initializer.rb', 'config/initializers/vulgata.rb'
  end

  def create_application_controller_file
    template 'application_controller.rb', 'app/controllers/vulgata/application_controller.rb'
  end

  def copy_migrations
    require 'rake'
    Rails.application.load_tasks
    Rake::Task['vulgata:install:migrations'].invoke
    route "mount Vulgata::Engine, at: '/vulgata'"
  end
end