module Vulgata
  class ApplicationController < ActionController::Base
    include Vulgata::Controller
    include Vulgata::ControllerConfigurable

    def vulgata_current_user
      # i.e current_user (for devise)
      # the user object must respond to a :name method
      raise NotImplementedError
    end

    def vulgata_users
      # users that will appear in the "team" page
      # i.e User.where(role: 'translator')
      raise NotImplementedError
    end

    def suggest_translation text, from, to
      # i.e
      # suggestion = TranslationApi.translate(text, from, to)
      # render json: { suggestion: suggestion }, status: :ok
      raise NotImplementedError
    end
  end
end
