require 'vulgata/engine'
require 'vulgata/helpers'
require 'vulgata/strategies/globalize'
require 'vulgata/strategies/locale_column_translations'
require 'vulgata/strategies/i18n_translations'
require 'vulgata/configuration'
require 'vulgata/concerns/vulgata_methods'
require 'vulgata/concerns/vulgata_callbacks'
require 'vulgata/vulgata_translate_includes'
require 'vulgata/vulgatify'
require 'vulgata/vulgata_user'
require 'vulgata/language_tools'

module Vulgata
  class << self
    attr_writer :configuration
  end

  def self.configuration
    @configuration ||= Configuration.new
  end

  def self.reset
    @configuration = Configuration.new
  end

  def self.configure
    yield(configuration)
  end
end
