module Vulgata
  module Helpers
    extend self # makes all instance methods become module methods as well
    @@classes_translating = []

    def available_locales
      (raise LoadError.new("available_locales not found in application.rb") if (@available_locales ||= Rails.application.config.i18n.available_locales).blank?) || @available_locales
    end

    def vulgata_table_exists?
      @vulgata_table_exists ||= ActiveRecord::Base.connection.table_exists? 'vulgata_translation_states'
    end

    def add_translating_class klass
      @@classes_translating << klass unless @@classes_translating.any? { |x| x.name == klass.name }
    end

    def classes_translating
      @@classes_translating
    end
  end
end
