module Vulgata
  class LanguageTools

    LOCALES = {
      'af': 'Afrikaans',
      'sq': 'Albanian',
      'am': 'Amharic',
      'ar-dz': 'Arabic - Algeria',
      'ar-bh': 'Arabic - Bahrain',
      'ar-eg': 'Arabic - Egypt',
      'ar-iq': 'Arabic - Iraq',
      'ar-jo': 'Arabic - Jordan',
      'ar-kw': 'Arabic - Kuwait',
      'ar-lb': 'Arabic - Lebanon',
      'ar-ly': 'Arabic - Libya',
      'ar-ma': 'Arabic - Morocco',
      'ar-om': 'Arabic - Oman',
      'ar-qa': 'Arabic - Qatar',
      'ar-sa': 'Arabic - Saudi Arabia',
      'ar-sy': 'Arabic - Syria',
      'ar-tn': 'Arabic - Tunisia',
      'ar-ae': 'Arabic - United Arab Emirates',
      'ar-ye': 'Arabic - Yemen',
      'ar': 'Arabic',
      'hy': 'Armenian',
      'as': 'Assamese',
      'az-az': 'Azeri - Cyrillic',
      'eu': 'Basque',
      'be': 'Belarusian',
      'bn': 'Bengali - India',
      'bs': 'Bosnian',
      'bg': 'Bulgarian',
      'my': 'Burmese',
      'ca': 'Catalan',
      'zh-cn': 'Chinese - China',
      'zh-hk': 'Chinese - Hong Kong SAR',
      'zh-mo': 'Chinese - Macau SAR',
      'zh-sg': 'Chinese - Singapore',
      'zh-tw': 'Chinese - Taiwan',
      'zh': 'Chinese',
      'hr': 'Croatian',
      'cs': 'Czech',
      'da': 'Danish',
      'dv': 'Divehi; Dhivehi; Maldivian',
      'nl-be': 'Dutch - Belgium',
      'nl-nl': 'Dutch - Netherlands',
      'en-us': 'English - United States',
      'en-au': 'English - Australia',
      'en-bz': 'English - Belize',
      'en-ca': 'English - Canada',
      'en-cb': 'English - Caribbean',
      'en-gb': 'English - Great Britain',
      'en-in': 'English - India',
      'en-ie': 'English - Ireland',
      'en-jm': 'English - Jamaica',
      'en-nz': 'English - New Zealand',
      'en-ph': 'English - Phillippines',
      'en-za': 'English - Southern Africa',
      'en-tt': 'English - Trinidad',
      'en': 'English',
      'et': 'Estonian',
      'fo': 'Faroese',
      'fa': 'Farsi - Persian',
      'fi': 'Finnish',
      'fr-be': 'French - Belgium',
      'fr-ca': 'French - Canada',
      'fr-fr': 'French - France',
      'fr-lu': 'French - Luxembourg',
      'fr-ch': 'French - Switzerland',
      'mk': 'FYRO Macedonia',
      'gd-ie': 'Gaelic - Ireland',
      'gd': 'Gaelic - Scotland',
      'gl': 'Galician',
      'ka': 'Georgian',
      'de-at': 'German - Austria',
      'de-de': 'German - Germany',
      'de-li': 'German - Liechtenstein',
      'de-lu': 'German - Luxembourg',
      'de-ch': 'German - Switzerland',
      'de': 'German',
      'el': 'Greek',
      'gn': 'Guarani - Paraguay',
      'gu': 'Gujarati',
      'he': 'Hebrew',
      'hi': 'Hindi',
      'hu': 'Hungarian',
      'is': 'Icelandic',
      'id': 'Indonesian',
      'it-it': 'Italian - Italy',
      'it-ch': 'Italian - Switzerland',
      'it': 'Italian',
      'ja': 'Japanese',
      'kn': 'Kannada',
      'ks': 'Kashmiri',
      'kk': 'Kazakh',
      'km': 'Khmer',
      'ko': 'Korean',
      'lo': 'Lao',
      'la': 'Latin',
      'lv': 'Latvian',
      'lt': 'Lithuanian',
      'ms-bn': 'Malay - Brunei',
      'ms-my': 'Malay - Malaysia',
      'ms': 'Malay',
      'ml': 'Malayalam',
      'mt': 'Maltese',
      'mi': 'Maori',
      'mr': 'Marathi',
      'mn': 'Mongolian',
      'ne': 'Nepali',
      'no-no': 'Norwegian - Bokml',
      'nb': 'Norwegian',
      'or': 'Oriya',
      'pl': 'Polish',
      'pt-br': 'Portuguese - Brazil',
      'pt-pt': 'Portuguese - Portugal',
      'pt': 'Portuguese',
      'pa': 'Punjabi',
      'rm': 'Raeto-Romance',
      'ro-mo': 'Romanian - Moldova',
      'ro': 'Romanian - Romania',
      'ru': 'Russian',
      'ru-mo': 'Russian - Moldova',
      'sa': 'Sanskrit',
      'sr-sp': 'Serbian - Cyrillic',
      'tn': 'Setsuana',
      'sd': 'Sindhi',
      'si': 'Sinhala; Sinhalese',
      'sk': 'Slovak',
      'sl': 'Slovenian',
      'so': 'Somali',
      'sb': 'Sorbian',
      'es-ar': 'Spanish - Argentina',
      'es-bo': 'Spanish - Bolivia',
      'es-cl': 'Spanish - Chile',
      'es-co': 'Spanish - Colombia',
      'es-cr': 'Spanish - Costa Rica',
      'es-do': 'Spanish - Dominican Republic',
      'es-ec': 'Spanish - Ecuador',
      'es-sv': 'Spanish - El Salvador',
      'es-gt': 'Spanish - Guatemala',
      'es-hn': 'Spanish - Honduras',
      'es-mx': 'Spanish - Mexico',
      'es-ni': 'Spanish - Nicaragua',
      'es-pa': 'Spanish - Panama',
      'es-py': 'Spanish - Paraguay',
      'es-pe': 'Spanish - Peru',
      'es-pr': 'Spanish - Puerto Rico',
      'es-es': 'Spanish - Spain (Traditional)',
      'es-uy': 'Spanish - Uruguay',
      'es-ve': 'Spanish - Venezuela',
      'es': 'Spanish',
      'sw': 'Swahili',
      'sv-fi': 'Swedish - Finland',
      'sv-se': 'Swedish - Sweden',
      'sv': 'Swedish',
      'tg': 'Tajik',
      'ta': 'Tamil',
      'tt': 'Tatar',
      'te': 'Telugu',
      'th': 'Thai',
      'bo': 'Tibetan',
      'ts': 'Tsonga',
      'tr': 'Turkish',
      'tk': 'Turkmen',
      'uk': 'Ukrainian',
      'UTF-8': 'Unicode',
      'ur': 'Urdu',
      'uz-uz': 'Uzbek - Cyrillic',
      'uz': 'Uzbek',
      'vi': 'Vietnamese',
      'cy': 'Welsh',
      'xh': 'Xhosa',
      'yi': 'Yiddish',
      'zu': 'Zulu'
    }

    def self.language_name locale
      LOCALES[locale.downcase.to_sym] || locale.to_s
    end
  end
end
